using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace ms_lesService.Database.Models;

[Table("objects2framework_metadata_types_values")]
[Keyless]
public class Objects2FrameworkMetadataTypesValues
{
    [ForeignKey("id_object")]
    [Column("id_object", Order = 1)]
    public Entity Object { get; set; }

    [Column("id_framework_type")]
    [ForeignKey("id_framework_type")]
    public FrameworkType FrameworkType { get; set; }

    [MaxLength(128)]
    [Column("value")]
    public string Value { get; set; }
}